define({"0":{y:0,u:"../Content/P4Search/about.html",l:-1,t:"How to use this guide | Helix Core Search API",i:0.0113843486872383,a:"This guide provides information on installing, configuring, and working with Helix Search, the Helix Core Search API. It assumes a basic knowledge of developing with APIs and Helix Core server (version 2022.1, released in February 2022)."},"1":{y:0,u:"../Content/P4Search/overview.html",l:-1,t:"Overview",i:0.0113843486872383,a:"This section describes the basics of Helix Search.  Helix Search web page The Helix Search web User Interface (UI) enables you search submitted changes, file revisions, and file content in your Helix Core server.  For information about using the web UI, see  Helix Search web page . Helix Search API ..."},"2":{y:0,u:"../Content/P4Search/search-web-page.html",l:-1,t:"Helix Search web UI",i:0.0113843486872383,a:"Helix Search web UI This section describes the Helix Search web UI. "},"3":{y:0,u:"../Content/P4Search/web-ui.html",l:-1,t:"Helix Search web page",i:0.0185856937291141,a:"The Helix Search web User Interface (UI) enables you search submitted changes, file revisions, and file content in your Helix Core server.  Get the web address for the  Helix Search web UI from your administrator and open the UI in your web browser.  For example,  ..."},"4":{y:0,u:"../Content/P4Search/managing-p4search.html",l:-1,t:"Managing Helix Search",i:0.0113843486872383,a:"Managing Helix Search Manage Helix Search from Settings in the Side-navigation bar. You can: View the status of Helix Search, see  Status . Configure Helix Search, see  Configuring Helix Search services . You must be a super user to configure Helix Search. "},"5":{y:0,u:"../Content/P4Search/status.html",l:-1,t:"Status",i:0.0214887241096458,a:"Status View the Helix Search service status and the time the index last ran. To view the Helix Search service status: Open Settings from the Side-navigation bar. Select Status. The Helix Search Service status page is displayed."},"6":{y:0,u:"../Content/P4Search/configuration-web-ui.html",l:-1,t:"Configuring Helix Search services",i:0.0989345553059992,a:"You must be a admin user to configure Helix Search. Helix Search can also be configured using the config.properties file, see  Configure  services used by Helix Search . Configure Helix Search from the web UI. To configure Helix Search from the web UI: Open Settings from the side-navigation bar. ..."},"7":{y:0,u:"../Content/P4Search/service_install_configure.html",l:-1,t:"Install and configure Helix Search",i:0.0165310619399734,a:"Install and configure Helix Search This chapter describes the prerequisites, installation scenarios, installation and configuration of the Helix Search, Helix Core server, and Elasticsearch services. "},"8":{y:0,u:"../Content/P4Search/prereqs-scenarios.html",l:-1,t:"Helix Search prerequisites and installation scenarios",i:0.0264908874923922,a:"This section describes the perquisites and installation scenarios for the Helix Core Search API, Helix Core server, and Elasticsearch. The Helix Search service can be deployed in a variety of ways depending on the customers use-case. Prerequisites Helix Search requires the following: Elasticsearch ..."},"9":{y:0,u:"../Content/P4Search/installers.html",l:-1,t:"Helix Search deployment and installation",i:0.0208603358429019,a:"This section describes the deployment and installation process for the Helix Core Search API, Helix Core server, and Elasticsearch. The Helix Search service can be deployed in a variety of ways depending on the customers use-case, see  Installation scenarios . Deployment Helix Search requires the ..."},"10":{y:0,u:"../Content/P4Search/configure-runtime.html",l:-1,t:"Runtime configuration",i:0.0160897997599512,a:"When Helix Search is installed and ready to use, the Helix Search configuration can be changed before use if required. The location of the configuration file is specified by setting JVM property com.perforce.search.config, the environment, or a file called config.properties in the current local ..."},"11":{y:0,u:"../Content/P4Search/configure-services.html",l:-1,t:"Configure  services used by Helix Search",i:0.0573202691714934,a:"You must be a admin user to configure Helix Search. Helix Search can also be configured using the Helix Search web page, see  Configuring Helix Search services . This section describes configuration of the Helix Search, Helix Core server, and Elasticsearch services.  Check the Helix Search status To ..."},"12":{y:0,u:"../Content/P4Search/advanced-actions.html",l:-1,t:"Optional",i:0.0113843486872383,a:"Optional This section describes optional configuration settings for Helix Search. "},"13":{y:0,u:"../Content/P4Search/configure-swarm-for-p4search.html",l:-1,t:"Configure Swarm to use Helix Search",i:0.0183447606383978,a:"Standard Swarm searches can be extended to search file content and changelist description by using the Helix Core Search API.  If you make a configuration change, Swarm will not use it until the Swarm config cache has been deleted. For instructions on deleting the config cache, see  Swarm config ..."},"14":{y:0,u:"../Content/P4Search/security-configuration.html",l:-1,t:"SSL security for Helix Search",i:0.0483467467181587,a:"This section describes how to secure your Helix Search communications over SSL using the HTTPS protocol. This involves creating a Java keystore with a valid SSL certificate.  To secure Helix Search with HTTPS SSL access: Create a CSR and private key with the following command: openssl req -new ..."},"15":{y:0,u:"../Content/P4Search/manual-build.html",l:-1,t:"Manually deploy the .jar",i:0.0188901740584499,a:"Perforce recommends that you use the Helix Search installer for Linux or Windows to install Helix Search, see  Install and configure Helix Search .  This section describes the build and configuration process for the Helix Core Search API and Elasticsearch.  To manually deploy the .jar: Check the ..."},"16":{y:0,u:"../Content/P4Search/quick-reference-section.html",l:-1,t:"Indexing Helix Search",i:0.0113843486872383,a:"Indexing Helix Search This chapter contains information about indexing the Helix Core server. "},"17":{y:0,u:"../Content/P4Search/quick-ref-index-server.html",l:-1,t:"Index the Helix server quick reference",i:0.0113843486872383,a:"This chapter is a quick reference for performing an initial index of your Helix server. For a small site you may want to index everything but for a larger site you might only want to index a project.  Small site deployment To index all of the changes in your depot, use the following curl request: ..."},"18":{y:0,u:"../Content/P4Search/keep-index-up-to-date.html",l:-1,t:"Keep your index up to date",i:0.0160897997599512,a:"You can keep your Helix Core server index up to date by using one of the following methods. Use Perforce Lua extensions You must download and install the Perforce Lua extensions before you can use them to keep your index up to date, see  Extension management endpoints . Index individual changes When ..."},"19":{y:0,u:"../Content/P4Search/api-endpoints.html",l:-1,t:"Helix Search API endpoints",i:0.0333514062358831,a:"From Helix Search 2021.2, the v1 API endpoints have been deprecated. Support for them will be removed in a future release. The v1 API endpoints have been replaced by v1.2 API endpoints.  This chapter describes the Helix Search API endpoints for indexing and searching the Helix Core. "},"20":{y:0,u:"../Content/P4Search/api-endpoints-current.html",l:-1,t:" Current API endpoints",i:0.0113843486872383,a:" Current API endpoints This chapter describes the Helix Search API endpoints  for indexing and searching the Helix Core. "},"21":{y:0,u:"../Content/P4Search/api-authentication.html",l:-1,t:"API authentication",i:0.049944907013113,a:"Some Helix Search API endpoints need an authenticated connection. Authenticated connections are achieved using Token authentication or Bearer authentication.  Token authentication Token authentication is an HTTP authentication system that uses an X-Auth-Token to authenticate the connection to Helix ..."},"22":{y:0,u:"../Content/P4Search/service-info-endpoints.html",l:-1,t:"Service information endpoints",i:0.0113843486872383,a:"This section details the Helix Search service endpoints.  Service status Description GET http://localhost:1601/api/v1.2/status A status check for the Helix Search service. Returns the status of services such as Helix server, Elasticsearch hosts and the Elasticsearch plugin. Usage example Get the ..."},"23":{y:0,u:"../Content/P4Search/index-endpoints.html",l:-1,t:"Index endpoints",i:0.0234992419104352,a:"This section details the Helix Search indexing endpoints.  Indexing changes Description POST http://localhost:1601/api/v1.2/index/changes Indexes changes in the Helix server by creating a thread pool of specified number of threads, see  Set the maximum threads used for indexing  . Displays the total ..."},"24":{y:0,u:"../Content/P4Search/search-endpoints.html",l:-1,t:"Search endpoint",i:0.0162227326547912,a:"This section details the raw search endpoint for Helix Search.  Raw Search Endpoint Description POST http://localhost:1601/api/v1.2/search/raw Enables you to search Elasticsearch directly. Returns results as received from Elasticsearch, see the detailed  Helix Search: Data model  to form your ..."},"25":{y:0,u:"../Content/P4Search/extensions-endpoints.html",l:-1,t:"Extension management endpoints",i:0.0141196379754993,a:"Extensions require Helix Core server 2021.2 or later. If you are using an earlier version of Helix server, you must use triggers and not extensions.  This section details the Helix Search extension endpoints. These endpoints enable you to install, list, and delete extensions for Helix Search.  Helix ..."},"26":{y:0,u:"../Content/P4Search/data-model.html",l:-1,t:"Helix Search: Data model",i:0.300522818764381,a:"This section details the three data models used by Helix Search.  ChangeModel One instance of this represents single change in the Helix server. ContentModel One instance of this represents contents of single changed file in the Helix server: RevisionModel One instance of this represents single ..."},"27":{y:0,u:"../Content/P4Search/api-endpoints-deprecated.html",l:-1,t:" Deprecated API endpoints",i:0.0113843486872383,a:" Deprecated API endpoints From Helix Search 2021.2, the v1 API endpoints have been deprecated. Support for them will be removed in a future release. The v1 API endpoints have been replaced by v1.2 API endpoints.  This chapter describes the Helix Search deprecated API endpoints  for indexing and ..."},"28":{y:0,u:"../Content/P4Search/search-endpoints-deprecated.html",l:-1,t:"Deprecated Search endpoints",i:0.0113843486872383,a:"From Helix Search 2021.2, the v1 API endpoints have been deprecated. Support for them will be removed in a future release. The v1 API endpoints have been replaced by v1.2 API endpoints.  This section details the deprecated v1 endpoints for Helix Search. For information on the current raw search ..."},"29":{y:0,u:"../Content/P4Search/search-legacy-endpoints.html",l:-1,t:"Legacy search endpoints (Apache Solr)",i:0.0249855652981318,a:"These API endpoints are deprecated and only exist to support older implementations and should not be used for new implementations. This section details the  legacy search endpoints for earlier versions of Helix Search (Apache Solr) that are supported in Helix Search.  Legacy Handshake Description ..."},"30":{y:0,u:"../Content/P4Search/contact.html",l:-1,t:"Getting Help",i:0.0113843486872383,a:"Perforce Support cannot help you with user account creation or with resetting your password, please contact your company\u0027s  Perforce administrator for help with this.  We look forward to hearing about your experiences with Helix Search, positive or negative, including must-haves or it would be great ..."},"31":{y:0,u:"../Content/Shared/glossary.html",l:-1,t:"Glossary",i:0.0113843486872383,a:"Glossary"},"32":{y:0,u:"../Content/P4Search/license.statements.html",l:-1,t:"License Statements",i:0.0113843486872383,a:"License Statements For licensing information for Helix Core Search API and the third-party software included in this Perforce product, see the Helix Search License file . "},});